Subject: bug#34754: evil-magit 20190224 has missing dependency

From: Jelle Licht <[email-masked]>
Date: Tue, 05 Mar 2019 01:27:27 +0100

It seems the recently pushed evil-magit update is incomplete. Loading
and subsequently enabling it leads to a warning and degraded/no of
functionality:

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (void-function transient-suffix-put)
--8<---------------cut here---------------end--------------->8---

I *think* it might simply be resolved by packaging the relatively new
transient package[1]. It might be a bit more involved as we still have
an 'older' (=non-master) version of magit packaged as well.

[1]  https://github.com/magit/transient